﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.1
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private BANano As BANano  'ignore
	Public vm As BANanoVM
	Public db, dbhost, user, pass, currentable As String
	Private dbParent As String
End Sub

Sub Init
	'initialize the page
	vm.Initialize(Me, Main.appname)
	db = "testdb" 'database name
	dbParent = $"page${db}"$
	BuildNavBar
	BuildNavDrawer
	AddPages
	AddContent
	vm.ux
End Sub

'build the navigation bar
Sub BuildNavBar
	'*copy code after this line
	'add a hamburger
	vm.NavBar.AddHamburger
	vm.NavBar.Hamburger.SetVisible(True)
	'add a logo
	vm.NavBar.Logo.SetBorderRadius("50%")
	vm.NavBar.Logo.SetBorderWidth("1px")
	vm.NavBar.Logo.SetBorderColor("black")
	vm.NavBar.Logo.SetBorderStyle("solid")
	vm.NavBar.Logo.SetSize("46px","46px")
	vm.NavBar.AddLogo("./assets/bx.png")
	vm.NavBar.Logo.Show
	vm.NavBar.AddTitle(Main.AppTitle,"")
	vm.NavBar.AddSubHeading1(" 1.00")
	vm.NavBar.AddSpacer
	vm.NavBar.SetFixed(True)
	vm.NavBar.SetVisible(True)
	vm.NavBar.SetClippedLeft(True)
	vm.NavBar.Progress.SetColorIntensity(vm.COLOR_DEEPPURPLE, vm.INTENSITY_ACCENT4)
	vm.NavBar.AddItem("database", "mdi-database","", db, "Database", "")
End Sub

'build the nav drawer
Sub BuildNavDrawer
	'*copy code after this line
	vm.Drawer.Setwidth("300")
	vm.Drawer.Setvisible(True)
	vm.Drawer.SetClipped(True)
	vm.Drawer.SetOpenOnMediumLarge(True)
	'this page should show on the drawer
'	Dim bo As BANanoObject = BANano.GetLocalStorage("settaggi")
'	Dim jsonpars As BANanoJSONParser
'	jsonpars.Initialize(BANano.ToString(bo))
'	Dim m As Map = jsonpars.NextObject
'	db = m.Get("dbname")
	'vm.Drawer.AddParentChild("", "database", "mdi-database", "", db, "")
	vm.Drawer.AddParentChild("", dbParent, "mdi-table", "", "Seleziona Archivi", "")
	LoadTables
End Sub


Sub LoadTables
	Dim dbsql As BANanoMySQLE
	dbsql.Initialize(db, "", "", "")
	dbsql.GetTableNames
	dbsql.json = BANano.CallInlinePHPWait(dbsql.MethodName, dbsql.Build)
	dbsql.FromJSON
	If dbsql.OK = False Then
		vm.showsnackbarerror($"Errore lettura tabelle!"${CRLF}${dbsql.error}"$)
		Return
	Else
		vm.ShowSnackBarSuccess("Tabelle lette correttamente!")
	End If
	If dbsql.result.Size > 0 Then
		For Each tblm As Map In dbsql.Result
			Dim tblName As String = tblm.Get("table_name")
			vm.Drawer.AddParentChild(dbParent, tblName, "mdi-table", "", tblName.ToUpperCase, "")
		Next
		vm.Drawer.Refresh
	End If
	Log("mostra Table")
End Sub

'add pages to the app
Sub AddPages
'	'*copy code after this line
	vm.addpage(pgGestDatiArc.name, pgGestDatiArc)
End Sub

'add content to this page
Sub AddContent
	'*copy code here to add to thos page
End Sub

'*IMPORTANT when a drawer item is clicked
Sub draweritems_click(elID As String)
	'do not process the database
	If elID = "database" Then Return
	'get the id from the event
	currentable = elID
	vm.setdata("currentable", currentable)
	pgGestDatiArc.Show
End Sub

'confirm dialog ok click
Sub confirm_ok(e As BANanoEvent)
	Dim sconfirm As String = vm.GetConfirm
	Select Case sconfirm
		'copy code below this line
		Case "delete"
		'........
	End Select
End Sub

'confirm dialog cancel click
Sub cancel_ok(e As BANanoEvent)

End Sub

'alert dialog ok clock
Sub alert_ok(e As BANanoEvent)

End Sub

'confirm dialog cancel click
Sub confirm_cancel(e As BANanoEvent)

End Sub
