﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=8.31
@EndOfDesignText@
'This class is shared between the BANanoServer and BANAno
'Use to specify which code is specific for the BANanoServer (B4J) and the BANano Browser part
'  #If #B4J
' 
'  #Else
'
'  #End If 
'Making changes in a this module/class in B4J debug mode will NOT have any effect on the BANano side until recompiled!

Sub Class_Globals
	Public currentable As String
	Public name As String = "gestdatiarc"
	Private vm As BANanoVM
	Private BANano As BANano  'ignore
	Private vue As BANanoVue
	Public lnamecol As List
	Public ltypecol As List
	Private dt1 As VMDataTable
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	vm = pgIndex.vm
	vue = vm.vue
	Dim cont As VMContainer = vm.CreateContainer("datatable", Me)
	'hide this container
	cont.Hide
	'
	cont.AddRows(5).AddColumns12
	'
	dt1 = vm.CreateDataTable("dt1", "name", Me)
	dt1.SetTitle("?")
	dt1.AddSearch
	dt1.AddDivider
	dt1.AddNew("btnNew", "mdi-plus", "Add a new record")
	dt1.SetCalculateWidths(True)
	dt1.SetOnInput("dt1_input")
	dt1.AddToContainer(cont, 1, 1)
	'
	'add container to page
	vm.AddContainer(cont)
	dt1.SetDataSource(Array())

	'cont.Show			'così viene visualizzata subito la table
End Sub

Sub GetNumRec As String
	Dim dbsql As BANanoMySQLE
	dbsql.Initialize(pgIndex.db, "", "", "")
	'dbsql.SetConnection(pgIndex.dbhost, pgIndex.user, pgIndex.pass)
	dbsql.query = $"SELECT COUNT(*) FROM ${currentable}"$
	dbsql.Execute(dbsql.query)
	dbsql.json = BANano.CallInlinePHPWait(dbsql.MethodName, dbsql.Build)
	dbsql.FromJSON
	Dim m As Map = dbsql.result.Get(0)
	Return m.get("COUNT(*)")
End Sub

Sub LoadDatitb(table As String)
	table = table.ToUpperCase
	currentable = table
	dt1.UpdateTitle(currentable)
	lnamecol.Clear
	ltypecol.Clear
	Dim dbsql As BANanoMySQLE
	vm.PagePause
	dbsql.Initialize(pgIndex.db, "", "", "")
	'dbsql.SetConnection(pgIndex.dbhost, pgIndex.user, pgIndex.pass)
	dbsql.query = $"DESCRIBE ${currentable.ToUpperCase}"$
	dbsql.Execute(dbsql.query)
	dbsql.json = BANano.CallInlinePHPWait(dbsql.MethodName, dbsql.Build)
	dbsql.FromJSON
	For Each fld As Map In dbsql.Result
		lnamecol.Add(fld.Get("Field"))
		ltypecol.add(fld.Get("Type"))
	Next
	If dbsql.OK = False Then
		vm.ShowSnackBarError(dbsql.error)
		Return
	End If
	'
	Dim dbsql As BANanoMySQLE
	dbsql.Initialize(pgIndex.db, "", "", "")
	'dbsql.SetConnection(pgIndex.dbhost, pgIndex.user, pgIndex.pass)
	dbsql.query = $"SELECT * FROM ${currentable}"$
	dbsql.Execute(dbsql.query)
	dbsql.json = BANano.CallInlinePHPWait(dbsql.MethodName, dbsql.Build)
	dbsql.FromJSON
	dt1.SetDataSource(dbsql.result)
	PopolaTable
End Sub

Sub PopolaTable

	Dim tipo As String
	Dim i As Int
	For i = 0 To lnamecol.size-1
		Dim str As String = ltypecol.Get(i)
		If str.StartsWith("varchar") Or str.StartsWith("text")Then
			tipo = dt1.COLUMN_TEXT
		else if str.StartsWith("boolean") Then
			tipo = dt1.COLUMN_CHECKBOX
		else if str.StartsWith("bigint") Then
			tipo = dt1.COLUMN_TEXT
		else if str.StartsWith("int") Then
			tipo = dt1.COLUMN_TEXT
		else if str.StartsWith("blob") Then
			tipo = dt1.COLUMN_TEXT
		else if str.StartsWith("real") Then
			tipo = dt1.COLUMN_TEXT
		else if str.StartsWith("date") Then
			tipo = dt1.COLUMN_DATE
		Else
			tipo = dt1.COLUMN_TEXT
		End If
		str = lnamecol.Get(i)
		If str.ToUpperCase.StartsWith("ORA") Then tipo = dt1.COLUMN_TIME
		dt1.AddColumn1(lnamecol.Get(i), lnamecol.Get(i), tipo, 0, False, dt1.ALIGN_LEFT)
	Next
	Log(dt1.GetData)
	dt1.AddEditThrash
	dt1.AddDownload
	dt1.AddMenuV
	dt1.AddClone
	dt1.AddPrint
	dt1.SetExternalPagination
	dt1.Refresh
	'dt1.Show
	vm.Show("datatable")
	vm.PageResume
End Sub

